gig::MidiRuleUnknown Class Reference

A MIDI rule not yet implemented by libgig. More...

`#include <gig.h>`

Inheritance diagram for gig::MidiRuleUnknown:

## Protected Member Functions

void | UpdateChunks (uint8_t *) const

## Detailed Description

A MIDI rule not yet implemented by libgig.

This class is currently used as a place holder by libgig for MIDI rule types which are not supported by libgig yet.

Note: Support for missing MIDI rule types are probably never added to libgig. We recommend you using real-time instrument scripts instead. Read more about the details and reasons for this in the description of the MidiRule base class.

Deprecated
  Just provided for backward compatibility, use Script for new instruments instead. See description of MidiRule for details.

Definition at line 1152 of file gig.h.

## Constructor & Destructor Documentation

## MidiRuleUnknown()

gig::MidiRuleUnknown::MidiRuleUnknown | ( |  | ) |

inline protected

Definition at line 1154 of file gig.h.

## Member Function Documentation

## UpdateChunks()

void gig::MidiRuleUnknown::UpdateChunks | ( | uint8_t * |  | ) | const

inline protected virtual

Implements gig::MidiRule.

Definition at line 1155 of file gig.h.

The documentation for this class was generated from the following file:

- gig.h